Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.gpuflux.scene.shading
Class FluxShaderBuilder

    java.lang.Object
      de.grogra.gpuflux.scene.shading.FluxShaderBuilder

All Implemented Interfaces:
  ShaderVisitor

    public abstract class FluxShaderBuilder

extends java.lang.Object
implements ShaderVisitor

Constructor Summary
`FluxShaderBuilder()`

Method Summary
`FluxShader` | `buildShader(Shader s)`
`FluxChannelMapBuilder` | `getChannelBuilder()`
`int` | `getShaderCount()`
`java.util.Vector<FluxShader>` | `getShaders()`
`void` | `serialize(ComputeByteBuffer channel_out, ComputeByteBuffer shader_out)`
`void` | `visit(AlgorithmSwitchShader algorithmSwitchShader)`
`void` | `visit(Phong phong)`
`void` | `visit(RGBAShader rgbaShader)`
`void` | `visit(Shader shader)`
`void` | `visit(ShaderRef shaderRef)`
`void` | `visit(SideSwitchShader sideSwitchShader)`
`void` | `visit(SunSkyLight sunSkyLight)`
`protected abstract void` | `warning(java.lang.String warning)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FluxShaderBuilder

    public FluxShaderBuilder()

Method Detail

### buildShader

    public FluxShader buildShader(Shader s)

### getChannelBuilder

    public FluxChannelMapBuilder getChannelBuilder()

### getShaderCount

    public int getShaderCount()

### getShaders

    public java.util.Vector<FluxShader> getShaders()

### serialize

    public void serialize(ComputeByteBuffer channel_out,
                          ComputeByteBuffer shader_out)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### visit

    public void visit(AlgorithmSwitchShader algorithmSwitchShader)

  Specified by:
    `visit` in interface `ShaderVisitor`

### visit

    public void visit(Phong phong)

  Specified by:
    `visit` in interface `ShaderVisitor`

### visit

    public void visit(RGBAShader rgbaShader)

  Specified by:
    `visit` in interface `ShaderVisitor`

### visit

    public void visit(Shader shader)

  Specified by:
    `visit` in interface `ShaderVisitor`

### visit

    public void visit(ShaderRef shaderRef)

  Specified by:
    `visit` in interface `ShaderVisitor`

### visit

    public void visit(SideSwitchShader sideSwitchShader)

  Specified by:
    `visit` in interface `ShaderVisitor`

### visit

    public void visit(SunSkyLight sunSkyLight)

  Specified by:
    `visit` in interface `ShaderVisitor`

### warning

    protected abstract void warning(java.lang.String warning)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD